--
-- PostgreSQL database dump
--

-- Dumped from database version 9.5.2
-- Dumped by pg_dump version 9.5.2

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: alert_definition; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE alert_definition (
    id bigint NOT NULL,
    details text NOT NULL,
    event_id bigint NOT NULL,
    name character varying(255) NOT NULL,
    phase character varying(255) NOT NULL,
    severity character varying(255) NOT NULL,
    rule_id bigint
);


--
-- Name: alert_definition_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE alert_definition_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: alert_definition_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE alert_definition_id_seq OWNED BY alert_definition.id;


--
-- Name: alert_instance; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE alert_instance (
    id bigint NOT NULL,
    acknowledged boolean,
    acknowledged_by character varying(128),
    acknowledged_datetime timestamp without time zone,
    date_created timestamp without time zone NOT NULL,
    details text NOT NULL,
    event_id bigint NOT NULL,
    name character varying(255) NOT NULL,
    phase character varying(255) NOT NULL,
    rule_id bigint,
    severity integer NOT NULL,
    source_id character varying(128) NOT NULL,
    source_name character varying(255) NOT NULL,
    value_stream character varying(255) NOT NULL,
	project_id character varying(32) NOT NULL
);


--
-- Name: alert_instance_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE alert_instance_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: alert_instance_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE alert_instance_id_seq OWNED BY alert_instance.id;


--
-- Name: amqp_connection; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE amqp_connection (
    id bigint NOT NULL,
    amqp_pass character varying(255) NOT NULL,
    amqp_url character varying(255) NOT NULL,
    amqp_user character varying(255) NOT NULL,
    connection_type character varying(255) NOT NULL
);


--
-- Name: amqp_connection_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE amqp_connection_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: amqp_connection_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE amqp_connection_id_seq OWNED BY amqp_connection.id;


--
-- Name: audit_change; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE audit_change (
    id bigint NOT NULL,
    new_value text,
    old_value text,
    property_name character varying(255) NOT NULL,
    auditentry_id bigint
);


--
-- Name: audit_change_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE audit_change_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: audit_change_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE audit_change_id_seq OWNED BY audit_change.id;


--
-- Name: audit_entry; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE audit_entry (
    id bigint NOT NULL,
    created_by_id character varying(255),
    date_created timestamp without time zone NOT NULL,
    object_id bigint NOT NULL,
    object_type character varying(255) NOT NULL,
    operation character varying(255) NOT NULL
);


--
-- Name: audit_entry_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE audit_entry_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: audit_entry_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE audit_entry_id_seq OWNED BY audit_entry.id;


--
-- Name: daemon; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE daemon (
    id bigint NOT NULL,
    host_name character varying(255) NOT NULL,
    last_checkin timestamp without time zone NOT NULL,
    port bigint NOT NULL
);


--
-- Name: daemon_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE daemon_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: daemon_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE daemon_id_seq OWNED BY daemon.id;


--
-- Name: propertyvalue; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE propertyvalue (
    id bigint NOT NULL,
    item_id character varying(128) NOT NULL,
    last_mod_date timestamp without time zone NOT NULL,
    prop_name character varying(128) NOT NULL,
    prop_value character varying(128) NOT NULL,
    source_sak character varying(128) NOT NULL
);


--
-- Name: propertyvalue_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE propertyvalue_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: propertyvalue_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE propertyvalue_id_seq OWNED BY propertyvalue.id;


--
-- Name: registrysetting; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE registrysetting (
    id bigint NOT NULL,
    name character varying(255) NOT NULL,
    value text
);


--
-- Name: registrysetting_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE registrysetting_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: registrysetting_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE registrysetting_id_seq OWNED BY registrysetting.id;


--
-- Name: rule; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE rule (
    id bigint NOT NULL,
    date_created timestamp without time zone NOT NULL,
    description text,
    enabled boolean,
    last_mod_date timestamp without time zone NOT NULL,
    manual boolean,
    match_count bigint,
    match_count_supported boolean DEFAULT false NOT NULL,
    match_duration_unit integer,
    match_duration_value bigint,
    name character varying(128) NOT NULL,
    project_id character varying(32) NOT NULL,
    rule text,
    rule_id character varying(128) NOT NULL,
    rule_type character varying(255) NOT NULL,
    rule_version character varying(32) NOT NULL,
    source_sak character varying(128) NOT NULL,
    source_type character varying(128) NOT NULL,
    target_tool_id character varying(128),
    target_workflow character varying(255),
    target_workflow_id character varying(255)
);


--
-- Name: rule_argument; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE rule_argument (
    id bigint NOT NULL,
    key character varying(255),
    value text,
    rule_id bigint
);


--
-- Name: rule_argument_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE rule_argument_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: rule_argument_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE rule_argument_id_seq OWNED BY rule_argument.id;


--
-- Name: rule_execution_history; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE rule_execution_history (
    id bigint NOT NULL,
    alert_instance_id bigint,
    alert_instance_name text,
    arguments text,
    execution_time timestamp without time zone NOT NULL,
    project_id character varying(32) NOT NULL,
    rule_id bigint,
    rule_name character varying(128) NOT NULL,
    sender_type character varying(128) NOT NULL,
    source_name character varying(255) NOT NULL,
    source_type character varying(255) NOT NULL,
    target_name character varying(255),
    target_workflow character varying(255),
    user_name character varying(255)
);


--
-- Name: rule_execution_history_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE rule_execution_history_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: rule_execution_history_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE rule_execution_history_id_seq OWNED BY rule_execution_history.id;


--
-- Name: rule_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE rule_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: rule_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE rule_id_seq OWNED BY rule.id;


--
-- Name: rule_match_history; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE rule_match_history (
    id bigint NOT NULL,
    match_time timestamp without time zone NOT NULL,
    rule_id bigint
);


--
-- Name: rule_match_history_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE rule_match_history_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: rule_match_history_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE rule_match_history_id_seq OWNED BY rule_match_history.id;


--
-- Name: rule_scope; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE rule_scope (
    id bigint NOT NULL,
    appids_csv character varying(255),
    app_scope_enabled boolean,
    roleids_csv character varying(255),
    role_scope_enabled boolean,
    rule_id bigint
);


--
-- Name: rule_scope_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE rule_scope_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: rule_scope_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE rule_scope_id_seq OWNED BY rule_scope.id;


--
-- Name: schema_versions; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE schema_versions (
    id bigint NOT NULL,
    compat integer NOT NULL,
    version integer NOT NULL
);


--
-- Name: schema_versions_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE schema_versions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: schema_versions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE schema_versions_id_seq OWNED BY schema_versions.id;


--
-- Name: workflow_system; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE workflow_system (
    id bigint NOT NULL,
    last_checkin timestamp without time zone,
    name character varying(255) NOT NULL,
    plug_id character varying(255) NOT NULL
);


--
-- Name: workflow_system_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE workflow_system_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: workflow_system_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE workflow_system_id_seq OWNED BY workflow_system.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY alert_definition ALTER COLUMN id SET DEFAULT nextval('alert_definition_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY alert_instance ALTER COLUMN id SET DEFAULT nextval('alert_instance_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY amqp_connection ALTER COLUMN id SET DEFAULT nextval('amqp_connection_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY audit_change ALTER COLUMN id SET DEFAULT nextval('audit_change_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY audit_entry ALTER COLUMN id SET DEFAULT nextval('audit_entry_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY daemon ALTER COLUMN id SET DEFAULT nextval('daemon_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY propertyvalue ALTER COLUMN id SET DEFAULT nextval('propertyvalue_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY registrysetting ALTER COLUMN id SET DEFAULT nextval('registrysetting_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY rule ALTER COLUMN id SET DEFAULT nextval('rule_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY rule_argument ALTER COLUMN id SET DEFAULT nextval('rule_argument_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY rule_execution_history ALTER COLUMN id SET DEFAULT nextval('rule_execution_history_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY rule_match_history ALTER COLUMN id SET DEFAULT nextval('rule_match_history_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY rule_scope ALTER COLUMN id SET DEFAULT nextval('rule_scope_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY schema_versions ALTER COLUMN id SET DEFAULT nextval('schema_versions_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY workflow_system ALTER COLUMN id SET DEFAULT nextval('workflow_system_id_seq'::regclass);


--
-- Name: alert_definition_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY alert_definition
    ADD CONSTRAINT alert_definition_pkey PRIMARY KEY (id);


--
-- Name: alert_instance_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY alert_instance
    ADD CONSTRAINT alert_instance_pkey PRIMARY KEY (id);


--
-- Name: amqp_connection_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY amqp_connection
    ADD CONSTRAINT amqp_connection_pkey PRIMARY KEY (id);


--
-- Name: audit_change_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY audit_change
    ADD CONSTRAINT audit_change_pkey PRIMARY KEY (id);


--
-- Name: audit_entry_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY audit_entry
    ADD CONSTRAINT audit_entry_pkey PRIMARY KEY (id);


--
-- Name: daemon_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY daemon
    ADD CONSTRAINT daemon_pkey PRIMARY KEY (id);


--
-- Name: propertyvalue_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY propertyvalue
    ADD CONSTRAINT propertyvalue_pkey PRIMARY KEY (id);


--
-- Name: registrysetting_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY registrysetting
    ADD CONSTRAINT registrysetting_pkey PRIMARY KEY (id);


--
-- Name: rule_argument_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY rule_argument
    ADD CONSTRAINT rule_argument_pkey PRIMARY KEY (id);


--
-- Name: rule_execution_history_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY rule_execution_history
    ADD CONSTRAINT rule_execution_history_pkey PRIMARY KEY (id);


--
-- Name: rule_match_history_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY rule_match_history
    ADD CONSTRAINT rule_match_history_pkey PRIMARY KEY (id);


--
-- Name: rule_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY rule
    ADD CONSTRAINT rule_pkey PRIMARY KEY (id);


--
-- Name: rule_scope_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY rule_scope
    ADD CONSTRAINT rule_scope_pkey PRIMARY KEY (id);


--
-- Name: schema_versions_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY schema_versions
    ADD CONSTRAINT schema_versions_pkey PRIMARY KEY (id);


--
-- Name: uk_2vkhdu82rcnviknukwiuxu7ah; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY registrysetting
    ADD CONSTRAINT uk_2vkhdu82rcnviknukwiuxu7ah UNIQUE (name);


--
-- Name: workflow_system_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY workflow_system
    ADD CONSTRAINT workflow_system_pkey PRIMARY KEY (id);


--
-- Name: fk_2yljrm5hc7jabam05t2yf5pdu; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY rule_match_history
    ADD CONSTRAINT fk_2yljrm5hc7jabam05t2yf5pdu FOREIGN KEY (rule_id) REFERENCES rule(id);


--
-- Name: fk_bggo7vosmqdpp9ote95ohtewc; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY audit_change
    ADD CONSTRAINT fk_bggo7vosmqdpp9ote95ohtewc FOREIGN KEY (auditentry_id) REFERENCES audit_entry(id);


--
-- Name: fk_ha7770h7wj7ugjf2882docvhg; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY rule_scope
    ADD CONSTRAINT fk_ha7770h7wj7ugjf2882docvhg FOREIGN KEY (rule_id) REFERENCES rule(id);


--
-- Name: fk_k2lu4us85dtgd7dol1yfxvqeu; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY alert_definition
    ADD CONSTRAINT fk_k2lu4us85dtgd7dol1yfxvqeu FOREIGN KEY (rule_id) REFERENCES rule(id);


--
-- Name: fk_k6m4xsvutmxjw72auqa1fuwwc; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY rule_argument
    ADD CONSTRAINT fk_k6m4xsvutmxjw72auqa1fuwwc FOREIGN KEY (rule_id) REFERENCES rule(id);
	
	
	
INSERT INTO schema_versions (ID,compat,version) VALUES (1,1704,1704);



--
-- PostgreSQL database dump complete
--

