-- On linux, run psql -d actionHubDb -f Upgrade.sql
DO
$do$
BEGIN
-- 1. create new tables
IF NOT EXISTS (SELECT relname from pg_class where relname='metric') THEN
BEGIN
raise notice 'creating metric table';
CREATE TABLE metric
(
  id bigint NOT NULL,
  environment text,
  insert_time timestamp without time zone NOT NULL DEFAULT now(),
  item_createdby text,
  item_id text,
  item_owner text,
  item_source text,
  item_url text,
  message text,
  metric_time timestamp without time zone NOT NULL,
  name text,
  project_id character varying(32) NOT NULL,
  project_name text NOT NULL,
  status text,
  type text NOT NULL,
  unit character varying(255),
  value text
)
WITH (
  OIDS=FALSE
);
--
-- Name: metric_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE metric_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: metric_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE metric_id_seq OWNED BY metric.id;

--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY metric ALTER COLUMN id SET DEFAULT nextval('metric_id_seq'::regclass);

--
-- Name: metric_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY metric
    ADD CONSTRAINT metric_pkey PRIMARY KEY (id);

END;
END IF;


-- 3. Drop constraints


-- 4. Add new columns



-- 5. Remove columns


raise notice 'updating schema version';
-- 5. Update the schema version
UPDATE schema_versions set compat = '1708', version = '1708' 
where ID = 1;
raise notice 'upgrade schema completed';
END
$do$